{
  "groups": [
    {
      "name": "wxpay",
      "type": "com.ruoyi.web.core.config.WxPayProperties",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    }
  ],
  "properties": [
    {
      "name": "wxpay.api-v3-key",
      "type": "java.lang.String",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    },
    {
      "name": "wxpay.app-id",
      "type": "java.lang.String",
      "description": "设置微信公众号或者小程序等的appid",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    },
    {
      "name": "wxpay.key-path",
      "type": "java.lang.String",
      "description": "apiclient_cert.p12文件的绝对路径，或者如果放在项目中，请以classpath:开头指定",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    },
    {
      "name": "wxpay.mch-id",
      "type": "java.lang.String",
      "description": "微信支付商户号",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    },
    {
      "name": "wxpay.mch-key",
      "type": "java.lang.String",
      "description": "微信支付商户密钥",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    },
    {
      "name": "wxpay.sub-app-id",
      "type": "java.lang.String",
      "description": "服务商模式下的子商户公众账号ID，普通模式请不要配置，请在配置文件中将对应项删除",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    },
    {
      "name": "wxpay.sub-mch-id",
      "type": "java.lang.String",
      "description": "服务商模式下的子商户号，普通模式请不要配置，最好是请在配置文件中将对应项删除",
      "sourceType": "com.ruoyi.web.core.config.WxPayProperties"
    }
  ],
  "hints": []
}